org.codehaus.groovy.transform.stc

## Class GroovyTypeCheckingExtensionSupport.TypeCheckingDSL

- java.lang.Object
- - groovy.lang.GroovyObjectSupport
  - - groovy.lang.Script
    - - org.codehaus.groovy.transform.stc.GroovyTypeCheckingExtensionSupport.TypeCheckingDSL

- All Implemented Interfaces:
    GroovyObject
  Enclosing class:
    GroovyTypeCheckingExtensionSupport

      public abstract static class GroovyTypeCheckingExtensionSupport.TypeCheckingDSL
      extends Script

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GroovyTypeCheckingExtensionSupport.TypeCheckingDSL()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getProperty(String property)` Retrieves a property value.
    `Object` | `invokeMethod(String name, Object args)` Invoke a method (or closure in the binding) defined.
    `void` | `setProperty(String property, Object newValue)` Sets the given property to the new value.

    - ### Methods inherited from class groovy.lang.Script

      `evaluate, evaluate, getBinding, print, printf, printf, println, println, run, run, setBinding`

    - ### Methods inherited from class groovy.lang.GroovyObjectSupport

      `getMetaClass, setMetaClass`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GroovyTypeCheckingExtensionSupport.TypeCheckingDSL

          public GroovyTypeCheckingExtensionSupport.TypeCheckingDSL()

  - ### Method Detail

    - #### getProperty

          public Object getProperty(String property)

      Description copied from interface: `GroovyObject`
      Retrieves a property value.
      Specified by:
        `getProperty` in interface `GroovyObject`
      Overrides:
        `getProperty` in class `Script`
      Parameters:
        `property` - the name of the property of interest
      Returns:
        the given property

    - #### setProperty

          public void setProperty(String property,
                         Object newValue)

      Description copied from interface: `GroovyObject`
      Sets the given property to the new value.
      Specified by:
        `setProperty` in interface `GroovyObject`
      Overrides:
        `setProperty` in class `Script`
      Parameters:
        `property` - the name of the property of interest
        `newValue` - the new value for the property

    - #### invokeMethod

          public Object invokeMethod(String name,
                            Object args)

      Description copied from class: `Script`
      Invoke a method (or closure in the binding) defined.
      Specified by:
        `invokeMethod` in interface `GroovyObject`
      Overrides:
        `invokeMethod` in class `Script`
      Parameters:
        `name` - method to call
        `args` - arguments to pass to the method
      Returns:
        value